<?php
// rm_print_agent.php
// Version 1.0.2 - Displays a registered string on a specific URL

function rm_print_agent() {
    // 現在のURLを取得
    $current_url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

    // 登録されたURLとテキストセットを取得
    $url_sets = get_option('custom_url_text_sets', array());

    // 現在のURLが登録されたURLと完全に一致するか確認
    foreach ($url_sets as $set) {
        if ($current_url === $set['url']) {
            return $set['text'];
        }
    }

    // 一致しない場合は何も表示しない
    return '';
}

// ショートコードを登録
add_shortcode('RM-print_agent', 'rm_print_agent');
?>
