<?php
/*
Plugin Name: ryoumou-trade-agent
Description: ブログ運営のちょっとしたサポート機能を搭載したプラグインです。
Version: 1.0.6
Author: 両毛トレード(両毛のビジネスノート)
*/

include_once(plugin_dir_path(__FILE__) . 'includes/admin-page.php');

// includesフォルダに配置した新しいファイルを読み込む
include_once(plugin_dir_path(__FILE__) . 'includes/rm_custom_sitemap.php');
include_once(plugin_dir_path(__FILE__) . 'includes/rm_check_videos.php');
include_once(plugin_dir_path(__FILE__) . 'includes/rm_images_without_alt.php');
include_once(plugin_dir_path(__FILE__) . 'includes/rm_check_blog_links.php');
include_once(plugin_dir_path(__FILE__) . 'includes/rm_print_agent.php');

function RM_random_phrase() {
    $phrases = get_option('random_phrases_list', array());
    if (!empty($phrases)) {
        return wp_kses_post($phrases[array_rand($phrases)]);
    }
    return '';
}
add_shortcode('RM-random_phrase', 'RM_random_phrase');

function ryoumou_trade_agent_custom_css() {
    $custom_css = get_option('ryoumou_trade_agent_custom_css', '');
    if (!empty($custom_css)) {
        echo '<style type="text/css">' . esc_html($custom_css) . '</style>';
    }
}
add_action('wp_head', 'ryoumou_trade_agent_custom_css');
?>
